Last Comment Bug 728897 - "Search All Messages" should be just "Search"
: "Search All Messages" should be just "Search"
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 13.0
Assigned To: Mark Banner (:standard8) (afk until 26th July)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-20 08:36 PST by Mark Banner (:standard8) (afk until 26th July)
Modified: 2012-02-28 10:41 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
+
fixed


Attachments
The fix (3.95 KB, patch)
2012-02-27 13:21 PST, Mark Banner (:standard8) (afk until 26th July)
bwinton: review+
bwinton: ui‑review+
Details | Diff | Splinter Review
Branch patch (909 bytes, patch)
2012-02-27 13:44 PST, Mark Banner (:standard8) (afk until 26th July)
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review
The fix v2 (3.84 KB, patch)
2012-02-27 13:46 PST, Mark Banner (:standard8) (afk until 26th July)
bwinton: review+
bwinton: ui‑review+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) (afk until 26th July) 2012-02-20 08:36:33 PST
In the Global Search bar, "Search All Messages" should just be "Search" now that we have the capability to do web search in there, and new features may add search for other things to that list.
Comment 1 :aceman 2012-02-21 04:02:39 PST
So how will users know what exactly will be searched?
Comment 2 Mark Banner (:standard8) (afk until 26th July) 2012-02-21 05:19:47 PST
It is the global search for a reason, but specifically the search the web option lists it in the autocomplete list.
Comment 3 Blake Winton (:bwinton) (:☕️) 2012-02-21 12:08:34 PST
How do we all feel about "Search Everything" instead?
Comment 4 Mark Banner (:standard8) (afk until 26th July) 2012-02-27 13:21:33 PST
Created attachment 601036 [details] [diff] [review]
The fix

Just using Search as previously agreed.
Comment 5 Blake Winton (:bwinton) (:☕️) 2012-02-27 13:31:11 PST
Comment on attachment 601036 [details] [diff] [review]
The fix

That was a much larger change than I would have guessed…

ui-r=me, and r=me.

Thanks,
Blake.
Comment 6 Mark Banner (:standard8) (afk until 26th July) 2012-02-27 13:44:12 PST
Created attachment 601047 [details] [diff] [review]
Branch patch

Branch patch. This is so that we can change en-US without affecting locales, although locales can pick it up if they want.

"Search All Messages" is reasonable, but now we've got searching the web from that menu as well, we've had feedback that "Search" would be clearer, so we'd like to start pushing that out as soon as we can.
Comment 7 Blake Winton (:bwinton) (:☕️) 2012-02-27 13:45:57 PST
Comment on attachment 601047 [details] [diff] [review]
Branch patch

That's much smaller.  ui-rs=me, rs=me.
Comment 8 Mark Banner (:standard8) (afk until 26th July) 2012-02-27 13:46:16 PST
Created attachment 601048 [details] [diff] [review]
The fix v2

Ok, I realised I should have gone with just renaming the string label as "searchAllMessages" doesn't apply for L10n either now.
Comment 9 Blake Winton (:bwinton) (:☕️) 2012-02-27 13:56:05 PST
Comment on attachment 601048 [details] [diff] [review]
The fix v2

That looks better.  ui-r=me, r=me.
Comment 10 Mark Banner (:standard8) (afk until 26th July) 2012-02-27 14:04:48 PST
Checked in:

http://hg.mozilla.org/comm-central/rev/201ebae0fa47
Comment 11 Mark Banner (:standard8) (afk until 26th July) 2012-02-28 08:18:10 PST
Comment on attachment 601047 [details] [diff] [review]
Branch patch

[Triage Comment]
Comment 12 Mark Banner (:standard8) (afk until 26th July) 2012-02-28 10:41:12 PST
Checked into branches:

http://hg.mozilla.org/releases/comm-aurora/rev/546853a06b44
http://hg.mozilla.org/releases/comm-beta/rev/fc6a980bc93b

Note You need to log in before you can comment on or make changes to this bug.